igeo

## Class IConstantMap

- java.lang.Object
- - igeo.IMap
  - - igeo.IConstantMap

-     public class IConstantMap
      extends IMap

  A subclass of IMap defined by one constant number
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `value`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IConstantMap(double val)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get(double u, double v)` A main method to get a value of the map.

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public double value

  - ### Constructor Detail

    - #### IConstantMap

          public IConstantMap(double val)

  - ### Method Detail

    - #### get

          public double get(double u,
                   double v)

      Description copied from class: `IMap`
      A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.
      Overrides:
        `get` in class `IMap`
      Parameters:
        `u` - u coordinates ranges 0.0 - 1.0
        `v` - v coordinates ranges 0.0 - 1.0
      Returns:
        value of the map.